Invalid Bundle: Error while publishing app to the app store

NaffieMNaffieM USUniversity ✭✭

I was in the process of uploading my app to the app store when it failed with this error:Apps that only contain the arm64 slice must also have "arm64” in the list of UIRequiredDeviceCapabilities in Info.plist. . I went into the info.plist file and made this change: <key>UIRequiredDeviceCapabilities</key> <array> <string>arm64</string> </array> .I added the arm64 setting in addition to the previous default setting - <string>arm7</string>
After adding the arm64 setting, i could no longer install the app on my iPAD, it only installs on the iPhone.

How do I solve this issue in order to upload my app to the Appstore?

Best Answer

Answers

  • NaffieMNaffieM USUniversity ✭✭

    @MarkSmith.8123 that solved the issue. Thank you

  • mac121mac121 Member ✭✭✭
    edited June 13
    Update :
    Hi @MarkSmith.8123 and everyone,
    But we can't make changes to info.plist values that was set in previous app version. We can only expand requirements I guess. You will find this when you upload an updated app version that had uirequireddevicecapabilities key value as armv7 in older version and now you only included ARM64. Can I submit with only armv7 then, will not Apple reject the app or will devices with ARM64 architecture be able view & download my app in the app Store? Or is it possible to add two architectures - armv7 and ARM64 as key values for uirequireddevicecapabilities in info.plist for my new updated app? Kindly clarify. Thanks a lot in advance... !
Sign In or Register to comment.